I recently encountered error while bundle install. The issue was with debugger gem. Following is the error I was getting

No source for ruby-1.9.3-p484 provided with debugger-ruby_core_source gem.
extconf.rb failed

After searching Google for answer, I found that this gem depends upon another one named "debugger-ruby_core_source" as specified in error. So to successfully install debugger, you need to first install debugger-ruby_core_source by running following command

gem install debugger-ruby_core_source

Now install debugger using

gem install debugger

and hopefully every thing will work out smoothly now.